Delete Assignment Threshold

Purpose

This API helps you to delete an Assignment Threshold.

Endpoints

  • DELETE /settings/automation/assignment_thresholds/{threshold_ID}
  • {threshold_ID} : ID of the assignment threshold you want to delete.

Request Details

Request URL

{api-domain}/crm/{version}/settings/automation/assignment_thresholds/{threshold_ID}

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52 

Scope

ZohoCRM.settings.assignment_thresholds.{operation_type}

Possible Operation Types

ALL - Full access to Assignment Threshold data
DELETE - Delete an existing Assignment Threshold

Parameters

  • modulestring, mandatory

    Specify the module from which you want to delete the assignment threshold. Use the GET Modules Metadata API to retrieve the module API names. 
    Supported Modules: Leads, Contacts, Accounts, Deals, Cases and custom modules.

Note

You can delete only one assignment threshold in an API request.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/automation/assignment_thresholds/2000000119037?module=Leads"
-X DELETE
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Possible Errors

  • REQUIRED_PARAM_MISSINGHTTP 400

    You did not specify a required parameter in the API request. 
    Resolution: Module parameter is mandatory to delete an assignment threshold. Make a GET Modules Metadata API call to get the valid module API names and specify the valid module name in the parameter.

  • INVALID_DATAHTTP 400

    You specified an invalid assignment threshold ID. 
    Resolution: Make a GET Assignment Threshold API call to get the valid assignment threshold IDs for the specified module.

  • NO_PERMISSIONHTTP 403

    You do not have enough permission to delete the assignment threshold. 
    Resolution: Contact your CRM administrator.

  • NOT_SUPPORTEDHTTP 400

    The specified module is not supported for this feature.
    Resolution: Specify a valid module name in the parameter. Assignment Threshold feature is supported only for Leads, Contacts, Accounts, Deals, Cases and custom modules.

  • INVALID_MODULEHTTP 400

    You provided an invalid module name in the API request.
    Resolution: Make a GET Modules Metadata API call to get the valid module name and specify it in the parameter.

  • FEATURE_NOT_SUPPORTEDHTTP 400

    Your CRM edition does not support this feature.
    Resolution: Assignment Threshold is supported in Professional and above editions. Upgrade your CRM edition to use this feature.

  • API_NOT_SUPPORTEDHTTP 400

    You specified an invalid or lower version in the API request.
    Resolution: Assignment Threshold is supported from API version v8 and above. Specify a valid version in the API request.

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one.
    Resolution: You have specified an invalid HTTP method to access the API URL.
    Specify a valid request method. Refer to the endpoints section of the API.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to delete the assignment threshold. Create a new token with valid scope. Refer to scope section of the API.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one.
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the request URL section of the API.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "assignment_thresholds": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "1862079000024727132"
            },
            "message": "assignment threshold deleted successfully",
            "status": "success"
        }
    ]
}